Bug 29729 - VT/Frame Buffer Blank..X screens are cloned instead of one virtual screen
Summary: VT/Frame Buffer Blank..X screens are cloned instead of one virtual screen
Status: RESOLVED INVALID
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-21 15:54 UTC by Shaun Reich
Modified: 2013-08-18 18:09 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg log (45.39 KB, text/plain)
2010-08-21 15:57 UTC, Shaun Reich
no flags Details
xorg log (44.81 KB, text/plain)
2010-08-21 15:58 UTC, Shaun Reich
no flags Details
xrandr --verbose (8.68 KB, text/plain)
2010-08-21 16:00 UTC, Shaun Reich
no flags Details
xorg conf (1.84 KB, text/plain)
2010-08-21 16:07 UTC, Shaun Reich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shaun Reich 2010-08-21 15:54:24 UTC
I believe this occurred because of a system upgrade..but I can't exactly pinpoint it from the pacman logs. It could have occurred when linux-firmware was upgraded, I am really unsure.

Basically, I am running kernel26 2.6.35.2 on ArchLinux, linux-firmware 20100807, and have tried xf86-video-nouvea-git (the AUR package) as of (now).

So..my computer boots up, vesa fb takes over initially, as usual. Then right when nouveau normally loads, my display(s) go into a power-off state. (amber light).

I can login (fyi, I boot straight to terminal and manually run startx) and call startx. KDE4 then starts up properly and I can use kwin effects perfectly as usual (like present windows) via xrender.

Also, what is weird, is my displays are clones of each other instead of being one whole virtual screen, like I have set in my xorg.conf (and have not changed).

For anything else, just ask..obviously I'm anxious to get this fixed, especially since college starts very soon ;-)

Attached is xorg.conf. more incoming.
Comment 1 Shaun Reich 2010-08-21 15:57:38 UTC
Created attachment 38051 [details]
dmesg log
Comment 2 Shaun Reich 2010-08-21 15:58:22 UTC
Created attachment 38052 [details]
xorg log
Comment 3 Shaun Reich 2010-08-21 16:00:34 UTC
Created attachment 38053 [details]
xrandr --verbose

Okay, that is my xorg log, and dmesg log, and just for the hell of it, I also attached the xrandr verbose output. 

Not sure if that is useful for you guys or not.
Comment 4 Shaun Reich 2010-08-21 16:07:13 UTC
Created attachment 38054 [details]
xorg conf

oops, almost forgot my xorg.conf.
Comment 5 Shaun Reich 2010-08-21 17:16:00 UTC
Okay, xrandr --output DVI-I-3 --right-of DVI-I-4

fixes my problem for now. But the real question that I am wondering, is why does the xorg.conf virtual screen stuff not work? Is it related? Or is it just something that changed in xorg, nouveau, and is now deprecated/non-functional?
Comment 6 Shaun Reich 2010-08-21 18:06:12 UTC
Uhh..seems the "screen clone" issue was fixed after I re-labeled the DVI outputs in my xorg.conf. I didn't realize they were non-const...because they obviously changed.

So now it's kind of just the framebuffer issue...although that still seems errata ;-)


Also, when I am in the X virtual terminal, and switch to a non-...the display is frozen with the same image (stand-still) until I switch back.
Comment 7 Marcin Slusarz 2010-08-22 02:11:40 UTC
try to boot with kernel option "fbcon=map:1"
if it will help enable CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY
Comment 8 Shaun Reich 2010-09-10 09:26:48 UTC
(In reply to comment #7)
> try to boot with kernel option "fbcon=map:1"
> if it will help enable CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY

The first had no affect. 

The second requires compiling my own kernel, no? Can't really do that at the moment
Comment 9 Ilia Mirkin 2013-08-18 18:09:32 UTC
It appears that this bug report has laid dormant for quite a while. Sorry we haven't gotten to it. Since we fix bugs all the time, chances are pretty good that your issue has been fixed with the latest software. Please give it a shot. (Linux kernel 3.10.7, xf86-video-nouveau 1.0.9, mesa 9.1.6, or their git versions.) If upgrading to the latest isn't an option for you, your distro's bugzilla is probably the right destination for your bug report.

In an effort to clean up our bug list, we're pre-emptively closing all bugs that haven't seen updates since 2011. If the original issue remains, please make sure to provide fresh info, see http://nouveau.freedesktop.org/wiki/Bugs/ for what we need to see, and re-open this one.

Thanks,

The Nouveau Team


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.